registerOutputEvent("Projectile", "checkProjectile", "datablock projectileData", 1);

registerInputEvent("FxDTSBrick", "onProjectileTrue", "Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection" TAB "MiniGame MiniGame" TAB "Projectile Projectile");
registerInputEvent("FxDTSBrick", "onProjectileFalse", "Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection" TAB "MiniGame MiniGame" TAB "Projectile Projectile");

function Projectile::checkProjectile(%this, %projectile)
{	
	if(%this.getDatablock() == %projectile) 
		$lastHitBrick.onProjectileTrue(%this.sourceObject.client);
	else 
		$lastHitBrick.onProjectileFalse(%this.sourceObject.client);
}

function FxDTSBrick::onProjectileTrue(%this, %client)
{
	$InputTarget_["Self"] = %this;
	$InputTarget_["Player"] = %client.player;
	$InputTarget_["Client"] = %client;

	%this.processInputEvent("onProjectileTrue", %client);
}

function FxDTSBrick::onProjectileFalse(%this, %client)
{
	$InputTarget_["Self"] = %this;
	$InputTarget_["Player"] = %client.player;
	$InputTarget_["Client"] = %client;

	%this.processInputEvent("onProjectileFalse", %client);
}

package checkProjectile
{
	function FxDTSBrick::onProjectileHit(%this, %projectile, %client)
	{
		$lastHitBrick = %this;

		parent::onProjectileHit(%this, %projectile, %client);
	}
};
activatePackage(checkProjectile);